<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;

$moduleclass_sfx			= $params->get('moduleclass_sfx');
$id_marker					= trim($params->get('id_marker'));
$id_form					= trim($params->get('id_form'));
$widget_name				= trim($params->get('widget_name', 'Form name #1'));
$id_form_width				= (int)$params->get('id_form_width', 620);
$border_radius				= (int)$params->get('border_radius', 2);
$show_logo					= $params->get('show_logo', 'false');
$show_hotels				= $params->get('show_hotels', 'true');
$form_type					= $params->get('form_type', 'avia_hotel');
$active_tab					= $params->get('active_tab', 'avia');
$offers_switch				= $params->get('offers_switch', 'true');
$locale						= $params->get('locale', 'en');
$currency					= $params->get('currency', 'usd');
$search_target				= $params->get('search_target', '_top');
$icons						= $params->get('icons', 'icons_blue');
$background					= $params->get('background', '#FFFFFF');
$color						= $params->get('color', '#000000');
$border_color				= $params->get('border_color', '#cccccc');
$button						= $params->get('button', '#03bae4');
$button_text_color			= $params->get('button_text_color', '#ffffff');




switch ($form_type) {
    case "avia" :
        $widget_form_type = '"search"';
    break;
    case "hotel" :
		$widget_form_type = '"hotels"';
    break;
    default:
		$widget_form_type = '"search","hotels"';
    break;    
}


$search_host				= "www.jetradar.com";
$hotel_logo_host 			= "hotellook.com";

switch ($locale) {
    case "ru" :
        $search_host = "nano.aviasales.ru";
		$hotel_logo_host = "hotellook.ru";
    break;
    case "de" :
		$search_host = "www.jetradar.de";
    break;
	case "es" :
		$search_host = "www.jetradar.es";
    break;
	case "fr" :
		$search_host = "fr.jetradar.com";
    break;
	case "it" :
		$search_host = "it.jetradar.com";
    break;
    default:
		$search_host = "www.jetradar.com";
    break;    
}


require JModuleHelper::getLayoutPath('mod_ext_travel_affiliate_program', $params->get('layout', 'default'));
?>